Muhurta¶
8 endpoint(s).
| Endpoint | Method | Summary | Auth |
|---|---|---|---|
/api/v1/muhurta/business |
POST |
Business Start Muhurta | |
/api/v1/muhurta/education |
POST |
Education Muhurta (Vidyarambha) | |
/api/v1/muhurta/general |
POST |
General Auspicious Times | |
/api/v1/muhurta/griha-pravesh |
POST |
Griha Pravesh Muhurta | |
/api/v1/muhurta/marriage |
POST |
Marriage Muhurta (Vivaha) | |
/api/v1/muhurta/medical |
POST |
Medical Muhurta | |
/api/v1/muhurta/travel |
POST |
Travel Muhurta (Yatra) | |
/api/v1/muhurta/vehicle |
POST |
Vehicle Purchase Muhurta |
POST /api/v1/muhurta/business¶
Business Start Muhurta
Find auspicious muhurta for starting a business.
Considerations: - Mercury strong (commerce karaka) - Jupiter favorable (wealth and growth) - 2nd, 10th, 11th houses unafflicted
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
start_date |
string |
yes | Start date in YYYY-MM-DD format |
end_date |
string |
yes | End date in YYYY-MM-DD format |
latitude |
number |
yes | Location latitude |
longitude |
number |
yes | Location longitude |
timezone |
string |
no | Timezone name |
place_name |
any |
no | Place name for display |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/muhurta/business' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/muhurta/education¶
Education Muhurta (Vidyarambha)
Find auspicious muhurta for starting education (Vidyarambha).
Considerations: - Mercury and Jupiter strong (knowledge karakas) - 4th and 5th houses favorable - Suitable for Aksharabhyasa (first writing)
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
start_date |
string |
yes | Start date in YYYY-MM-DD format |
end_date |
string |
yes | End date in YYYY-MM-DD format |
latitude |
number |
yes | Location latitude |
longitude |
number |
yes | Location longitude |
timezone |
string |
no | Timezone name |
place_name |
any |
no | Place name for display |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/muhurta/education' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/muhurta/general¶
General Auspicious Times
Find general auspicious muhurtas for any activity.
Provides: - Best times of the day - Abhijit Muhurta - Favorable periods - Times to avoid
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
start_date |
string |
yes | Start date in YYYY-MM-DD format |
end_date |
string |
yes | End date in YYYY-MM-DD format |
latitude |
number |
yes | Location latitude |
longitude |
number |
yes | Location longitude |
timezone |
string |
no | Timezone name |
place_name |
any |
no | Place name for display |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/muhurta/general' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/muhurta/griha-pravesh¶
Griha Pravesh Muhurta
Find auspicious muhurta for Griha Pravesh (house warming).
Griha Pravesh Types: 1. Apoorva - Entering new house for first time 2. Sapoorva - Re-entering after renovation 3. Dwandwa - Entering after inauspicious event
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
start_date |
string |
yes | Start date in YYYY-MM-DD format |
end_date |
string |
yes | End date in YYYY-MM-DD format |
latitude |
number |
yes | Location latitude |
longitude |
number |
yes | Location longitude |
timezone |
string |
no | Timezone name |
place_name |
any |
no | Place name for display |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/muhurta/griha-pravesh' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/muhurta/marriage¶
Marriage Muhurta (Vivaha)
Find auspicious muhurta for marriage (Vivaha).
Marriage Muhurta Considerations: - Favorable tithis: 2, 3, 5, 7, 10, 11, 13, Purnima - Favorable nakshatras: Rohini, Mrigashira, Magha, Uttara Phalguni, Hasta, Swati, Anuradha, Mula, Uttarashada, Uttarabhadra, Revati - Favorable yogas: Shubh, Amrit, Siddha - Avoid: Rahu Kaal, Bhadra, eclipses
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
start_date |
string |
yes | Start date in YYYY-MM-DD format |
end_date |
string |
yes | End date in YYYY-MM-DD format |
latitude |
number |
yes | Location latitude |
longitude |
number |
yes | Location longitude |
timezone |
string |
no | Timezone name |
place_name |
any |
no | Place name for display |
groom_nakshatra |
any |
no | Groom's birth nakshatra |
bride_nakshatra |
any |
no | Bride's birth nakshatra |
groom_rashi |
any |
no | Groom's moon sign |
bride_rashi |
any |
no | Bride's moon sign |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/muhurta/marriage' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/muhurta/medical¶
Medical Muhurta
Find auspicious muhurta for medical procedures.
Considerations: - Moon strong and not afflicted - Avoid Bhadra and other malefic periods - Mars position for surgery
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
start_date |
string |
yes | Start date in YYYY-MM-DD format |
end_date |
string |
yes | End date in YYYY-MM-DD format |
latitude |
number |
yes | Location latitude |
longitude |
number |
yes | Location longitude |
timezone |
string |
no | Timezone name |
place_name |
any |
no | Place name for display |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/muhurta/medical' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/muhurta/travel¶
Travel Muhurta (Yatra)
Find auspicious muhurta for travel (Yatra).
Considerations: - Favorable nakshatras for travel - Direction-based auspiciousness - Avoid Bhadra and other doshas
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
start_date |
string |
yes | Start date in YYYY-MM-DD format |
end_date |
string |
yes | End date in YYYY-MM-DD format |
latitude |
number |
yes | Location latitude |
longitude |
number |
yes | Location longitude |
timezone |
string |
no | Timezone name |
place_name |
any |
no | Place name for display |
destination_direction |
any |
no | Direction of travel (N/S/E/W) |
travel_purpose |
any |
no | Purpose of travel |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/muhurta/travel' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/muhurta/vehicle¶
Vehicle Purchase Muhurta
Find auspicious muhurta for vehicle purchase.
Considerations: - Mars should not be afflicted (karaka for vehicles) - 4th house (vehicles) should be well-placed - Avoid Vishti Karana (Bhadra)
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
start_date |
string |
yes | Start date in YYYY-MM-DD format |
end_date |
string |
yes | End date in YYYY-MM-DD format |
latitude |
number |
yes | Location latitude |
longitude |
number |
yes | Location longitude |
timezone |
string |
no | Timezone name |
place_name |
any |
no | Place name for display |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/muhurta/vehicle' \
-H 'Authorization: Bearer <API_KEY>'